/*
 * cmdlineprop.h
 * Asa MacWilliams, April 2002
 * Distributed Wearable Augmented Reality Framework - www.augmentedreality.de
 *
 * For documentation and instructions, contact me at asa.macwilliams@in.tum.de.
 */

#ifndef __CMDLINEPROPS_H
#define __CMDLINEPROPS_H

class CmdLinePropsData;

class CmdLineProps {
  CmdLinePropsData* data;
public:
  CmdLineProps();
	void init(int argc, char** argv);
	bool find(const char* name);
	const char* get(const char* name);
	const char* getname(int index);
	int count();
};

extern CmdLineProps cmdLineProps;

#endif // __CMDLINEPROPS_H
